Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MissingPropertyException

An exception occurred if a dynamic property dispatch fails with an unknown property. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

author:
  James Strachan

version:
  $Revision: 9081 $

Field Summary
`Object` | `MPE`
`String` | `property`
`Class` | `type`

Constructor Summary
`MissingPropertyException(String property, Class type)`
`MissingPropertyException(String property, Class type, Throwable t)`
`MissingPropertyException(String message)`
`MissingPropertyException(String message, String property, Class type)`

Method Summary
`String` | `getMessageWithoutLocationText()`
`String` | `getProperty()`
`Class` | `getType()`

Constructor Detail

### MissingPropertyException

    public MissingPropertyException(String property, Class type)

### MissingPropertyException

    public MissingPropertyException(String property, Class type, Throwable t)

### MissingPropertyException

    public MissingPropertyException(String message)

### MissingPropertyException

    public MissingPropertyException(String message, String property, Class type)

Method Detail

### getMessageWithoutLocationText

    public String getMessageWithoutLocationText()

### getProperty

    public String getProperty()

  return:
    the name of the property that could not be found

### getType

    public Class getType()

  return:
    The type on which the property was attempted to be called